node 6.10.3 x86 package not found

Coel Wu's Avatar

Coel Wu

18 Nov, 2020 02:44 AM

Hi, I' m using appveyor to build node.js project. I have specified node version in matrix, however it keeps telling me that node x.x.x x86 package not found whenever I use 6.9 or 6.10.

  1. 1 Posted by Coel Wu on 18 Nov, 2020 02:47 AM

    Coel Wu's Avatar

    Here is the appveyor.yml I use:

    version: '{build}'


    branches: only: - master - /ci./ - /stable./

    We need to only clone the main module because our submodule requires the

    
    
    

    encrypted ssh key to access submodules

    
    
    
    install: - ps: Install-Product node $env:NODE_VERSION - ps: nuget install secure-file -ExcludeVersion - ps: npm config set msvs_version 2013
    build_script: - cmd: npm install
    deploy_script: - ps: | npm run build-client
    environment: matrix: - NODE_VERSION: 6.10 global: DEBUG: "electron-windows-installer:,electron-packager:" SIGN_BUILD: true INSTALL_TARGET: "client" CERTIFICATE_FILE: .\packages\client-private-plugins\encrypted_certificates\appveyor\win-nylas-n1.p12 DECRYPTION_PASSWORD: secure: 48VSzDtdBd52Xlo3TZ1NeR1yRRrZ3AU6Px5XjD5RDp44cFU5GYVspecGqX6DGCV7i0D7nldGMyEbXNrjM1t1Kw==
    cache: - node_modules -> package.json - packages\client-app\node_modules -> packages\client-app\package.json - '%USERPROFILE%.npm'
  2. Support Staff 2 Posted by Feodor Fitsner on 18 Nov, 2020 06:25 PM

    Feodor Fitsner's Avatar

    There is only 6.17.1 available. Use 6 to get the latest version available.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac